[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.EndTransaction

End the Transaction associated with this connection

## Declaration

Source position: sqldb.pp line 276

`public procedure TSQLConnection.EndTransaction; override;`

## Description

StartTransaction is a convenience method which ends the default transaction (TSQLConnection.Transaction). It is equivalent to

    Connection.Transaction.EndTransaction

## Errors

If no transaction is assigned, an exception will be raised.

## See also

StartTransaction |  | Start the Transaction associated with this Connection